List bridge tools
curl --request GET \
--url https://pnbr.io/v1/bridges/tools \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://pnbr.io/v1/bridges/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://pnbr.io/v1/bridges/tools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"tools": [
{
"name": "openMapping",
"method": "POST",
"path": "/v1/bridges"
},
{
"name": "ingestSource",
"method": "POST",
"path": "/v1/bridges/:id/sources"
},
{
"name": "mapType",
"method": "POST",
"path": "/v1/bridges/:id/types"
},
{
"name": "mapProperty",
"method": "POST",
"path": "/v1/bridges/:id/properties"
},
{
"name": "analyze",
"method": "POST",
"path": "/v1/bridges/:id/analyze"
},
{
"name": "inspect",
"method": "GET",
"path": "/v1/bridges/:id"
}
],
"request_id": "fcb2ed8c-bc76-44ee-bb29-16f4840718e3"
}Bridge
List bridge tools
The bridge tools and their REST routes.
GET
/
v1
/
bridges
/
tools
List bridge tools
curl --request GET \
--url https://pnbr.io/v1/bridges/tools \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://pnbr.io/v1/bridges/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://pnbr.io/v1/bridges/tools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"tools": [
{
"name": "openMapping",
"method": "POST",
"path": "/v1/bridges"
},
{
"name": "ingestSource",
"method": "POST",
"path": "/v1/bridges/:id/sources"
},
{
"name": "mapType",
"method": "POST",
"path": "/v1/bridges/:id/types"
},
{
"name": "mapProperty",
"method": "POST",
"path": "/v1/bridges/:id/properties"
},
{
"name": "analyze",
"method": "POST",
"path": "/v1/bridges/:id/analyze"
},
{
"name": "inspect",
"method": "GET",
"path": "/v1/bridges/:id"
}
],
"request_id": "fcb2ed8c-bc76-44ee-bb29-16f4840718e3"
}Authorizations
A pnbr- API key. Project-scoped keys make project_id implicit; org-scoped keys require it.
Response
200 - application/json
Tool catalog.
⌘I